apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'

apply plugin: 'kotlin-android-extensions'
android {

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi-v7a', 'arm64-v8a'

            // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
        }

    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    compileSdkVersion rootProject.ext.compileSdkVersion

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
    packagingOptions {
        exclude 'typedefs.txt'
    }


}
ext {
    glide_need_version = '4.9.0'
}
repositories {
    flatDir {
        dirs 'libs'
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')

    api 'com.android.support:design:28.0.0'
    api 'com.android.support:support-v4:28.0.0'
    api 'org.jetbrains.kotlin:kotlin-stdlib-jre7:1.2.71'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.2.0'
    api 'com.trello.rxlifecycle2:rxlifecycle:2.2.0'
    api 'com.trello.rxlifecycle2:rxlifecycle-components:2.2.0'
    api 'com.squareup.retrofit2:retrofit:2.3.0'
    api 'com.squareup.retrofit2:converter-gson:2.3.0'
    api 'com.squareup.okhttp3:logging-interceptor:3.4.1'
    api 'org.jetbrains.anko:anko-common:0.9'
    //友盟
    api 'com.badoo.mobile:android-weak-handler:1.1'
    api 'com.umeng.umsdk:common:9.4.2'// 必选
    api 'com.umeng.umsdk:asms:1.4.1'// 必选
    api  'com.umeng.umsdk:share-core:7.1.6'//分享核心库，必选
    api 'com.umeng.umsdk:share-wx:7.1.6' //微信完整版
    //glide配置
//    api "com.github.bumptech.glide:glide:${glide_need_version}"
//    api "com.github.bumptech.glide:annotations:${glide_need_version}"
//    annotationProcessor "com.github.bumptech.glide:compiler:${glide_need_version}"
////    api "com.github.bumptech.glide:okhttp3-integration:${glide_need_version}"

    api group: 'com.github.bumptech.glide', name: 'glide', version: '4.9.0'

    api 'jp.wasabeef:glide-transformations:2.0.1'
    api(name: 'oaid_sdk_1.0.25', ext: 'aar')
    api(name: 'open_ad_sdk_4.0.0.3', ext: 'aar')
    api(name: 'tools_release', ext: 'aar')
    api 'com.tencent.mm.opensdk:wechat-sdk-android-with-mta:5.3.1'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.coordinatorlayout:coordinatorlayout:1.1.0'
    implementation(name: 'alipaySdk-15.6.4-20190611174341', ext: 'aar')
    api 'org.greenrobot:eventbus:3.2.0'
    //implementation 'androidx.coordinatorlayout:coordinatorlayout:1.1.0'
    api 'com.github.JessYanCoding:AndroidAutoSize:v1.2.1'
    //画廊视图
    api 'com.yarolegovich:discrete-scrollview:1.5.1'
    //bugly
    api 'com.tencent.bugly:crashreport:4.0.4'
}
